#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	freeglut
Version		:	3.4.0
Release		:	14.8.0.0%{?dist}
Summary		:	A freely licensed alternative to the GLUT library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://freeglut.sourceforge.net

Source0		:	%{name}-%{version}.tar.gz
Source1		:	openglut-0.6.3-doc.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	cmake
BuildRequires	:	libGLU-devel
BuildRequires	:	pkg-config 
BuildRequires	:	xorg-libXext
BuildRequires	:	xorg-libXi


# The virtual Provides below is present so that this freeglut package is a
# drop in binary replacement for "glut" which will satisfy rpm dependancies
# properly.  The Obsoletes tag is required in order for any pre-existing
# "glut" package to be removed and replaced with freeglut when upgrading to
# freeglut.  Note: This package will NOT co-exist with the glut package.
Provides:       glut = 3.7
Obsoletes:      glut < 3.7

#-----------------------------------------------------------------------------
%description
'%{name}' is a completely open source alternative to
the OpenGL Utility Toolkit (GLUT) library with an OSI
approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs
in the second edition OpenGL 'RedBook'. Since then,
GLUT has been used in a wide variety of practical
applications because it is simple, universally available
and highly portable.
 
'%{name}' allows the user to create and manage windows
containing OpenGL contexts on a wide range of platforms
and also read the mouse, keyboard and joystick functions.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README.md
%doc doc/html/*.png doc/html/*.html
%{_libdir}/libglut.so.3*

#=============================================================================
%Package		devel
Summary		:	Freeglut developmental libraries and header files

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

Provides	:	glut-devel
#-----------------------------------------------------------------------------

%description		devel
Developmental libraries and header files required for
developing or compiling software which links to the
freeglut library, which is an open source alternative
to the popular GLUT library, with an OSI approved
free software.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/GL/glut.h
%{_includedir}/GL/%{name}*.h
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/glut.pc
%{_libdir}/cmake/FreeGLUT/*.cmake
%{_mandir}/man3/glut*.3.gz

#=============================================================================
%prep
%setup -q -a 1

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D LIB_INSTALL_DIR=%{_libdir}			\
	-D FREEGLUT_BUILD_DEMOS=OFF			\
	-D FREEGLUT_BUILD_STATIC_LIBS=OFF		\
	-W no-dev 					\
	.

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} %{buildroot}%{_mandir}/man3
install -p -m 644 					\
	doc/man/*.3					\
	%{buildroot}%{_mandir}/man3
 
 
#-----------------------------------------------------------------------------
%changelog

